Snapvisor Docs

Add an emoji reaction to a comment

Add an emoji reaction to a comment on behalf of the authenticated user.

POST
/projects/{owner}/{project}/builds/{buildNumber}/comments/{commentId}/reactions

Add an emoji reaction to a comment on behalf of the authenticated user.

Authorization

AuthorizationBearer <token>

Authenticate as a user with a personal access token.

Send it as a bearer token in the Authorization header:

Authorization: Bearer <personal-access-token>

Personal access tokens act on behalf of the user that created them and are required by endpoints that perform user actions, such as reviewing builds and posting comments.

In: header

Path Parameters

owner*string
Length1 <= length
project*string
Length1 <= length
buildNumber*string

The build number

commentId*string

The ID of the comment

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects/string/string/builds/string/comments/string/reactions" \  -H "Content-Type: application/json" \  -d '{    "emoji": "string"  }'
{  "id": "string",  "buildId": "string",  "threadId": "string",  "body": null,  "text": "string",  "author": {    "id": "string",    "slug": "string",    "name": "string"  },  "screenshotDiffId": "string",  "anchor": {    "type": "point",    "x": 0,    "y": 0  },  "pending": true,  "resolvedAt": "string",  "editedAt": "string",  "createdAt": "string",  "reactions": [    {      "emoji": "string",      "count": 0,      "users": [        {          "id": "string",          "slug": "string",          "name": "string"        }      ]    }  ]}